GET api/ChatGPT/GetChats?page={page}&page_size={page_size}
GetChats
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| page | integer |
Required |
|
| page_size | integer |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of MainChat| Name | Description | Type | Additional information |
|---|---|---|---|
| chat_guid | globally unique identifier |
None. |
|
| title | string |
None. |
|
| dt_add | date |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"chat_guid": "0e36b1f0-36e8-487a-8533-3301fd7d6422",
"title": "sample string 2",
"dt_add": "2026-05-06T14:56:16.0415241+05:00"
},
{
"chat_guid": "0e36b1f0-36e8-487a-8533-3301fd7d6422",
"title": "sample string 2",
"dt_add": "2026-05-06T14:56:16.0415241+05:00"
}
]
text/html
Sample:
[{"chat_guid":"0e36b1f0-36e8-487a-8533-3301fd7d6422","title":"sample string 2","dt_add":"2026-05-06T14:56:16.0415241+05:00"},{"chat_guid":"0e36b1f0-36e8-487a-8533-3301fd7d6422","title":"sample string 2","dt_add":"2026-05-06T14:56:16.0415241+05:00"}]